System.Web 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object

Any style declared for a particular HTML server control is added to the collection when the containing Web Forms page is parsed. It automatically parses and exposes CSS properties through a dictionary pattern API. You can manipulate any CSS property on a server control through the property. Simply use the CSS property's key and value in the indexed collection.

Contains the HTML cascading-style sheets (CSS) inline style attributes for a specified HTML server control. This class cannot be inherited.

- Method
  System.Void `` ``

  If the style item to add exists in the enumeration, use the overload of the method that takes an parameter because it is strongly typed. This means that items that are added will be included when viewing items with the get accessor of the property.

  Adds a style item to the of a control using the specified name/value pair.

  The name of the new style attribute to add to the collection. The value of the style attribute to add to the collection. 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Void `` ``

  If the style item to add exists in the enumeration, use this overload of the method rather than the overload that does not take an parameter.

  Adds a style item to the collection of a control using the specified enumeration value and corresponding value.

  The enumeration value to add to the collection. The value of the style attribute to add to the collection.
- Method
  System.Void To be added

  Removes all style items from the object.

  1.0.5000.0
  2.0.0.0
- Property
  System.Int32 To be added: an object of type 'int' To be added

  Gets the number of items in the object.

  1.0.5000.0
  2.0.0.0
- Property
  System.String `` To be added: an object of type 'string' To be added To be added: an object of type 'string' To be added 1.0.5000.0 2.0.0.0
- Property
  2.0.0.0
  System.String `` To be added. To be added. To be added. To be added.
- Property
  System.Collections.ICollection a To be added

  Gets a collection of keys to all the styles in the object for a specific HTML server control.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` To be added

  Removes a style item from the of a control using the specified style key.

  The string literal of the style item to remove. 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Void `` To be added.

  Removes a style item from the collection of a control using the specified enumeration value.

  The enumeration value to remove.
- Property
  2.0.0.0
  System.String To be added. To be added.

  Gets or sets the value of the style attribute of the HTML server control.